Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deepfs.jfuse
Class JFUSEAdapter

    java.lang.Object
      org.deepfs.jfuse.JFUSEAdapter

    public final class JFUSEAdapter

extends Object

This class assembles all references to the external jfuse library. In order to keep the database independent from external libraries this class assembles all calls to the Java FUSE bindings and provides default values. In case jfuse.jar is removed from the build path this class and the actual FUSE implementation should be the only classes to be modified or removed. In fact, it is intended to just exclude DeepFSImpl from the build path and to toggle the (un)commented code here.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Alexander Holupirek

Method Summary
`static long` | `getGID()` Gets (native) group id or default value.
`static int` | `getSIFDIR()` Returns directory bit.
`static int` | `getSIFREG()` Returns regular file bit.
`static long` | `getUID()` Gets (native) user id or default value.
`static boolean` | `isReg(int mode)` Test mode for regular file flag.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getUID

    public static long getUID()

  Gets (native) user id or default value.

  Returns:
    user id

### getGID

    public static long getGID()

  Gets (native) group id or default value.

  Returns:
    group id

### getSIFDIR

    public static int getSIFDIR()

  Returns directory bit.

  Returns:
    bitmask indicating a directory

### getSIFREG

    public static int getSIFREG()

  Returns regular file bit.

  Returns:
    bitmask indicating a directory

### isReg

    public static boolean isReg(int mode)

  Test mode for regular file flag.

  Parameters:
    `mode` - of file
  Returns:
    true if mode is regular file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD